__gnu_profile::__map2umap_info Class Reference

`#include <profiler_map_to_unordered_map.h>`

Inheritance diagram for __gnu_profile::__map2umap_info:
[legend]

## Public Member Functions

| __map2umap_info (__stack_t __stack)
std::string | __advice () const
bool | __is_valid () const
float | __magnitude () const
void | __merge (const __map2umap_info &__o)
void | __merge (const __object_info_base &__o)
void | __record_erase (std::size_t __size, std::size_t __count)
void | __record_find (std::size_t __size)
void | __record_insert (std::size_t __size, std::size_t __count)
void | __record_iterate (int __count)
void | __set_invalid ()
void | __set_iterate_costs ()
__stack_t | __stack () const
void | __write (FILE *__f) const

## Protected Attributes

__stack_t | _M_stack
bool | _M_valid

## Detailed Description

A map-to-unordered_map instrumentation line in the object table.

Definition at line 66 of file profiler_map_to_unordered_map.h.

## Constructor & Destructor Documentation

## __map2umap_info()

__gnu_profile::__map2umap_info::__map2umap_info | ( | __stack_t | __stack | ) |

inline

Definition at line 70 of file profiler_map_to_unordered_map.h.

## Member Function Documentation

## __advice()

std::string __gnu_profile::__map2umap_info::__advice | ( |  | ) | const

inline

Definition at line 100 of file profiler_map_to_unordered_map.h.

## __is_valid()

bool __gnu_profile::__object_info_base::__is_valid | ( |  | ) | const

inline inherited

Definition at line 134 of file profiler_node.h.

## __magnitude()

float __gnu_profile::__map2umap_info::__magnitude | ( |  | ) | const

inline

Definition at line 96 of file profiler_map_to_unordered_map.h.

## __merge() [1/2]

void __gnu_profile::__map2umap_info::__merge | ( | const __map2umap_info & | __o | ) |

inline

Definition at line 76 of file profiler_map_to_unordered_map.h.

## __merge() [2/2]

void __gnu_profile::__object_info_base::__merge | ( | const __object_info_base & | __o | ) |

inline inherited

Definition at line 142 of file profiler_node.h.

## __record_erase()

void __gnu_profile::__map2umap_info::__record_erase | ( | std::size_t | __size,
|  | std::size_t | __count
| ) |  |

inline

Definition at line 117 of file profiler_map_to_unordered_map.h.

## __record_find()

void __gnu_profile::__map2umap_info::__record_find | ( | std::size_t | __size | ) |

inline

Definition at line 130 of file profiler_map_to_unordered_map.h.

## __record_insert()

void __gnu_profile::__map2umap_info::__record_insert | ( | std::size_t | __size,
|  | std::size_t | __count
| ) |  |

inline

Definition at line 104 of file profiler_map_to_unordered_map.h.

## __record_iterate()

void __gnu_profile::__map2umap_info::__record_iterate | ( | int | __count | ) |

inline

Definition at line 138 of file profiler_map_to_unordered_map.h.

## __set_invalid()

void __gnu_profile::__object_info_base::__set_invalid | ( |  | ) |

inline inherited

Definition at line 138 of file profiler_node.h.

## __set_iterate_costs()

void __gnu_profile::__map2umap_info::__set_iterate_costs | ( |  | ) |

inline

Definition at line 142 of file profiler_map_to_unordered_map.h.

## __stack()

__stack_t __gnu_profile::__object_info_base::__stack | ( |  | ) | const

inline inherited

Definition at line 146 of file profiler_node.h.

## __write()

void __gnu_profile::__map2umap_info::__write | ( | FILE * | __f | ) | const

inline

Definition at line 88 of file profiler_map_to_unordered_map.h.

## Member Data Documentation

## _M_stack

__stack_t __gnu_profile::__object_info_base::_M_stack

protected inherited

Definition at line 150 of file profiler_node.h.

## _M_valid

bool __gnu_profile::__object_info_base::_M_valid

protected inherited

Definition at line 151 of file profiler_node.h.

The documentation for this class was generated from the following file:

- profiler_map_to_unordered_map.h